> ## Documentation Index
> Fetch the complete documentation index at: https://developer.every.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Информация о пакете



## OpenAPI

````yaml GET /packets/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: OpenAPI B2B Every SIM
  description: API для работы с eSIM картами в B2B
servers:
  - url: https://api.every.ru/b2b/esim
security:
  - bearerAuth: []
paths:
  /packets/{id}:
    get:
      summary: Получить пакет по ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: uint
          description: Идентификатор пакета
          example: 1234567890
        - name: locale
          in: query
          required: true
          schema:
            type: string
            pattern: ^[a-z]{2}$
          description: Запрашиваемая локаль в формате alpha-2
          example: ru
        - name: country
          in: query
          required: false
          schema:
            type: string
            pattern: ^[A-Z]{2}$
            nullable: true
          description: Опциональная желаемая страна в формате alpha-2
          example: RU
      responses:
        '200':
          description: Успешно
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PacketResponse'
      security:
        - BearerAuth:
            - read
components:
  schemas:
    PacketResponse:
      type: object
      properties:
        locale:
          type: string
          description: Локаль ответа
          example: ru
        packet:
          $ref: '#/components/schemas/Packet'
          description: Информация о пакете
    Packet:
      type: object
      properties:
        id:
          type: integer
          format: uint
          description: Идентификатор пакета
          example: 1234567890
        name:
          type: string
          description: Человекочитаемое название пакета в локали ответа
          example: 5GB for 30 days
        volume:
          type: integer
          format: uint
          description: Объем данных в МБ
          example: 5120
        period:
          type: integer
          format: uint
          description: Период действия пакета в днях
          example: 30
        tariff:
          type: string
          enum:
            - Essentials
            - Prime
            - Pro
          description: Тип тарифа
          example: Prime
      required:
        - id
        - name
        - volume
        - period
        - tariff
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````